<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    $router->get('/', 'HomeController@index');
    // 程序管理 --banner
    $router->resource('/program/banner','BannerController');
    // 程序管理 --导航
    $router->resource('/program/navbar','NavBarController');
    // 程序管理 --标签
    $router->resource('/program/tabbar','TabbarController');
    // 程序管理 --首页栏目
    $router->resource('/program/home_column','HomeColumnController');


    // 金币消费记录
    $router->resource('/order/consume','UserConsumeRecordController');
    // 充值记录
    $router->resource('/order/recharge','UserRechargeRecordController');
    // 用户剧集消费记录
    $router->resource('/order/episodes','UserEpisodesRecordController');
    // 用户列表
    $router->resource('/users','UserController');
    // 剧集列表
    $router->resource('/episodes/lists','EpisodeController');
    // 剧集分类
    $router->resource('/episodes/category','EpisodesCategoryController');



});
